Last Comment Bug 519886 - Topcrash [@ nsScriptLoader::StartLoad(nsScriptLoadRequest*, nsAString_internal const&)]
: Topcrash [@ nsScriptLoader::StartLoad(nsScriptLoadRequest*, nsAString_interna...
Status: RESOLVED FIXED
[sg:dos][crashkill][crashkill-fix][cr...
: crash, topcrash
Product: Core
Classification: Components
Component: HTML: Parser (show other bugs)
: Trunk
: x86 All
: P2 critical (vote)
: mozilla1.9.2
Assigned To: Blake Kaplan (:mrbkap) (please use needinfo!)
:
Mentors:
: 524738 531447 (view as bug list)
Depends on: 526058
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-30 19:30 PDT by Blake Kaplan (:mrbkap) (please use needinfo!)
Modified: 2011-06-13 10:01 PDT (History)
10 users (show)
jst: blocking1.9.2+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta2-fixed
.6-fixed


Attachments
Wallpaper (1.87 KB, patch)
2009-10-23 14:35 PDT, Blake Kaplan (:mrbkap) (please use needinfo!)
jst: review+
jst: superreview+
jst: approval1.9.2+
dveditz: approval1.9.1.6+
Details | Diff | Review

Description Blake Kaplan (:mrbkap) (please use needinfo!) 2009-09-30 19:30:48 PDT
See http://bit.ly/iOwn5 ... it looks like Skype might be involved, but we can probably wallpaper over this or fix it in speculative parsing (if that is, in fact, where the bug lies).
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2009-10-11 06:51:59 PDT
#26 crash for 3.5.3

no crashes reported for 3.0.x releases. 
and doesn't appear for any trunk, beta or alpha builds
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-10-12 17:07:17 PDT
Comments mention opening hotmail.  (And definitely correlated with the skype toolbar.)
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2009-10-16 17:11:50 PDT
Blake, did you say that we might be able to work around this crash in our code? FWIW, I've been trying pretty hard to reproduce this one, with the Skype extensions installed n' all, but no luck yet. I ran this in a debug build as well, and it seems the Skype extensions don't work right there (it *removes* phone numbers from webpages rather than wrapping them in a clickable link thing), but no crashes or thread safety assertions or anything like that.
Comment 4 Blake Kaplan (:mrbkap) (please use needinfo!) 2009-10-23 14:35:46 PDT
Created attachment 408116 [details] [diff] [review]
Wallpaper

This is a wallpaper. I don't understand how this crash happens.
Comment 5 Johnny Stenback (:jst, jst@mozilla.com) 2009-10-23 14:38:52 PDT
Comment on attachment 408116 [details] [diff] [review]
Wallpaper

Given that nobody seems to be able to reproduce this, I think we should land this and see what it does for us.
Comment 6 Johnny Stenback (:jst, jst@mozilla.com) 2009-10-23 15:14:28 PDT
Fix landed on trunk.

http://hg.mozilla.org/mozilla-central/rev/47e4c4d472e3
Comment 7 Marien Zwart 2009-10-27 12:23:00 PDT
*** Bug 524738 has been marked as a duplicate of this bug. ***
Comment 8 Madison 2009-10-27 19:22:12 PDT
I am not using skype so that is not my problem with the crash. I have had so many different crashes lately. I just wish someone could help me with this. Thanks
Comment 9 Daniel Veditz [:dveditz] 2009-10-30 12:31:40 PDT
Comment on attachment 408116 [details] [diff] [review]
Wallpaper

Approved for 1.9.1.5, a=dveditz for release-drivers
Comment 10 Damon Sicore (:damons) 2009-11-02 16:16:14 PST
Can we get a percentage of crashes that we think this will fix?
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2009-11-02 17:31:08 PST
#14 crash for 3.5.4. 3425 crashes roughly 2 weeks, about 1.6% of crashes
Comment 12 Samuel Sidler (old account; do not CC) 2009-11-02 18:12:14 PST
(3.5.4 hasn't been out for a week yet.)

I'm fairly sure this is a lot less than 1.6%. It's closer to 0.8% of crashes overall, last I checked.
Comment 13 Wayne Mery (:wsmwk, NI for questions) 2009-11-02 18:27:32 PST
I included what I assume is the RC.  I pasted the top 100 into excel (~170k) and guesstimated the count > which tacks on 40k. And from there came up with 1.6% Does the count above rank 100 typically amount to only 1/2 of crashes? Or, how does one get the full total?
Comment 14 Samuel Sidler (old account; do not CC) 2009-11-02 23:35:21 PST
Top 100 is ~35% of crashes, but let's not discuss metrics in this bug. Damon wanted an estimate.
Comment 15 Blake Kaplan (:mrbkap) (please use needinfo!) 2009-11-04 08:57:43 PST
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/38c617c0b291
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/e13f86ded0df (I finally remembered to fix the bug number typo).
Comment 16 Jeremy Nicoll 2009-11-17 16:07:09 PST
I came to this page from the crash page:

http://crash-stats.mozilla.com/report/index/bp-18ccaf0e-03fc-48bb-977f-9957a2091112

(my instance of the dump was on: 2009-11-12 15:38:49.40305 with 3.5.5).

I just wanted to add that there's never been anything Skype-related installed on my machine, so I can't see that the dump would be caused by that.
Comment 17 Blake Kaplan (:mrbkap) (please use needinfo!) 2009-11-18 03:41:13 PST
That build was from two days before (11-02) I landed the fix on the 1.9.1 branch (11-04).
Comment 18 timeless 2009-11-28 12:42:52 PST
*** Bug 531447 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.